<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('master_induks', function (Blueprint $table) {
            $table->id();
            $table->string('nomor_induk')->unique();
            $table->enum('role', ['siswa', 'guru']);
            $table->string('nama_pemilik')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('master_induks');
    }
};
